Package org.drinkless.tdlib

# Class TdApi.StarTransactionPartnerBot

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarTransactionPartner
org.drinkless.tdlib.TdApi.StarTransactionPartnerBot

Enclosing class:
  TdApi

public static class TdApi.StarTransactionPartnerBot extends TdApi.StarTransactionPartner
The transaction is a transaction with a bot.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StarTransactionPartner

  `TdApi.StarTransactionPartner.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `invoicePayload`
  Invoice payload; for bots only.
  `TdApi.ProductInfo`
  `productInfo`
  Information about the bought product; may be null if not applicable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarTransactionPartnerBot()`
  The transaction is a transaction with a bot.
  `StarTransactionPartnerBot(long botUserId, TdApi.ProductInfo productInfo, byte[] invoicePayload)`
  The transaction is a transaction with a bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the bot.

  - ### productInfo

    @Nullable public TdApi.ProductInfo productInfo
    Information about the bought product; may be null if not applicable.

  - ### invoicePayload

    public byte[] invoicePayload
    Invoice payload; for bots only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarTransactionPartnerBot

    public StarTransactionPartnerBot()
    The transaction is a transaction with a bot.

  - ### StarTransactionPartnerBot

    public StarTransactionPartnerBot(long botUserId, TdApi.ProductInfo productInfo, byte[] invoicePayload)
    The transaction is a transaction with a bot.
    Parameters:
      `botUserId` - Identifier of the bot.
      `productInfo` - Information about the bought product; may be null if not applicable.
      `invoicePayload` - Invoice payload; for bots only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StarTransactionPartner`
    Returns:
      this.CONSTRUCTOR